RDKit: RDKit::v2::FileParsers::ForwardSDMolSupplier Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
RDKit::v2::FileParsers::ForwardSDMolSupplier Class Reference

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::v2::FileParsers::ForwardSDMolSupplier:

## Public Member Functions
| ForwardSDMolSupplier ()
| ForwardSDMolSupplier (std::istream *inStream, bool takeOwnership=true, const MolFileParserParams &params=MolFileParserParams())
| ~ForwardSDMolSupplier () override
void | init () override
void | reset () override
std::unique_ptr< RWMol > | next () override
bool | atEnd () override
void | setProcessPropertyLists (bool val)
bool | getProcessPropertyLists () const
bool | getEOFHitOnRead () const
Public Member Functions inherited from RDKit::v2::FileParsers::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()
virtual void | close ()

## Protected Member Functions
virtual void | checkForEnd ()
std::unique_ptr< RWMol > | _next ()
virtual void | readMolProps (ROMol &)
Protected Member Functions inherited from RDKit::v2::FileParsers::MolSupplier
std::istream * | openAndCheckStream (const std::string &filename)

## Protected Attributes
bool | df_end = false
int | d_line = 0
MolFileParserParams | d_params
bool | df_processPropertyLists = true
bool | df_eofHitOnRead = false
Protected Attributes inherited from RDKit::v2::FileParsers::MolSupplier
std::istream * | dp_inStream = nullptr
bool | df_owner = false

## Detailed Description

Definition at line 122 of file MolSupplier.h.

## Constructor & Destructor Documentation

## ◆ ForwardSDMolSupplier() [1/2]

RDKit::v2::FileParsers::ForwardSDMolSupplier::ForwardSDMolSupplier | ( |  | ) |
| inline

Definition at line 129 of file MolSupplier.h.

References init().

## ◆ ForwardSDMolSupplier() [2/2]

RDKit::v2::FileParsers::ForwardSDMolSupplier::ForwardSDMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = true,
|  | const MolFileParserParams & | params = MolFileParserParams() )
| explicit

## ◆ ~ForwardSDMolSupplier()

RDKit::v2::FileParsers::ForwardSDMolSupplier::~ForwardSDMolSupplier | ( |  | ) |
| inlineoverride

Definition at line 135 of file MolSupplier.h.

References RDKit::v2::FileParsers::MolSupplier::close().

## Member Function Documentation

## ◆ _next()

std::unique_ptr< RWMol > RDKit::v2::FileParsers::ForwardSDMolSupplier::_next | ( |  | ) |
| protected

## ◆ atEnd()

bool RDKit::v2::FileParsers::ForwardSDMolSupplier::atEnd | ( |  | ) |
| overridevirtual

Implements RDKit::v2::FileParsers::MolSupplier.

Reimplemented in RDKit::v2::FileParsers::SDMolSupplier.

## ◆ checkForEnd()

virtual void RDKit::v2::FileParsers::ForwardSDMolSupplier::checkForEnd | ( |  | ) |
| protectedvirtual

## ◆ getEOFHitOnRead()

bool RDKit::v2::FileParsers::ForwardSDMolSupplier::getEOFHitOnRead | ( |  | ) | const
| inline

Definition at line 145 of file MolSupplier.h.

References df_eofHitOnRead.

## ◆ getProcessPropertyLists()

bool RDKit::v2::FileParsers::ForwardSDMolSupplier::getProcessPropertyLists | ( |  | ) | const
| inline

Definition at line 143 of file MolSupplier.h.

References df_processPropertyLists.

## ◆ init()

void RDKit::v2::FileParsers::ForwardSDMolSupplier::init | ( |  | ) |
| overridevirtual

Implements RDKit::v2::FileParsers::MolSupplier.

Reimplemented in RDKit::v2::FileParsers::SDMolSupplier.

Referenced by ForwardSDMolSupplier().

## ◆ next()

std::unique_ptr< RWMol > RDKit::v2::FileParsers::ForwardSDMolSupplier::next | ( |  | ) |
| overridevirtual

Implements RDKit::v2::FileParsers::MolSupplier.

Reimplemented in RDKit::v2::FileParsers::SDMolSupplier.

## ◆ readMolProps()

virtual void RDKit::v2::FileParsers::ForwardSDMolSupplier::readMolProps | ( | ROMol & |  | ) |
| protectedvirtual

## ◆ reset()

void RDKit::v2::FileParsers::ForwardSDMolSupplier::reset | ( |  | ) |
| overridevirtual

Implements RDKit::v2::FileParsers::MolSupplier.

Reimplemented in RDKit::v2::FileParsers::SDMolSupplier.

## ◆ setProcessPropertyLists()

void RDKit::v2::FileParsers::ForwardSDMolSupplier::setProcessPropertyLists | ( | bool | val | ) |
| inline

Definition at line 142 of file MolSupplier.h.

References df_processPropertyLists.

## Member Data Documentation

## ◆ d_line

int RDKit::v2::FileParsers::ForwardSDMolSupplier::d_line = 0
| protected

Definition at line 152 of file MolSupplier.h.

## ◆ d_params

MolFileParserParams RDKit::v2::FileParsers::ForwardSDMolSupplier::d_params
| protected

Definition at line 153 of file MolSupplier.h.

## ◆ df_end

bool RDKit::v2::FileParsers::ForwardSDMolSupplier::df_end = false
| protected

Definition at line 151 of file MolSupplier.h.

## ◆ df_eofHitOnRead

bool RDKit::v2::FileParsers::ForwardSDMolSupplier::df_eofHitOnRead = false
| protected

Definition at line 155 of file MolSupplier.h.

Referenced by getEOFHitOnRead().

## ◆ df_processPropertyLists

bool RDKit::v2::FileParsers::ForwardSDMolSupplier::df_processPropertyLists = true
| protected

Definition at line 154 of file MolSupplier.h.

Referenced by getProcessPropertyLists(), and setProcessPropertyLists().

The documentation for this class was generated from the following file:

- MolSupplier.h